"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadStripe = void 0;
const stripe_js_1 = require("@stripe/stripe-js");
const index_1 = require("./methods/index");
/**
 * Initialize stripe
 *
 * @param publishableKey - stripe public key, like pk_...
 * @param options - stripe initialization options
 * @returns
 */
const loadStripe = (publishableKey, options) => __awaiter(void 0, void 0, void 0, function* () {
    const stripeDefault = yield (0, stripe_js_1.loadStripe)(publishableKey, options);
    if (stripeDefault === null ||
        typeof (stripeDefault === null || stripeDefault === void 0 ? void 0 : stripeDefault._apiKey) !== "string")
        throw new Error("Initialization error.");
    const stripeExtension = new index_1.StripeExtension(stripeDefault._apiKey);
    const stripe = Object.assign(stripeExtension, stripeDefault);
    return stripe;
});
exports.loadStripe = loadStripe;
//# sourceMappingURL=index.js.map